curl --request GET \
--url https://api.aisa.one/apis/v1/openmeteo/climate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/openmeteo/climate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/openmeteo/climate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"latitude": 52.5,
"longitude": 13.4,
"generationtime_ms": 3.4,
"timezone": "GMT",
"timezone_abbreviation": "GMT",
"daily_units": {
"time": "iso8601",
"temperature_2m_max": "°C",
"precipitation_sum": "mm"
},
"daily": {
"time": [
"2050-01-01"
],
"temperature_2m_max": [
6.9
],
"precipitation_sum": [
1.2
]
}
}Open-Meteo Climate (CMIP6)
Open-Meteo Climate (CMIP6) (Open-Meteo).
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Grid-cell preference for the coordinate. Default land.
land, sea, nearest Comma-separated list of daily aggregation variables to return. Requires timezone. Common values: temperature_2m_max, temperature_2m_min, temperature_2m_mean, precipitation_sum, rain_sum, snowfall_sum, wind_speed_10m_mean, wind_speed_10m_max, cloud_cover_mean, relative_humidity_2m_mean, shortwave_radiation_sum, pressure_msl_mean.
"temperature_2m_max,precipitation_sum"
Return raw model output without statistical bias correction. Default false.
End of the interval, yyyy-mm-dd (ISO 8601).
"2024-01-07"
WGS84 latitude of the location. Multiple coordinates can be comma-separated.
"52.52"
WGS84 longitude of the location (negative for the Americas). Multiple coordinates can be comma-separated.
"13.41"
Required. Comma-separated climate models: CMCC_CM2_VHR4, FGOALS_f3_H, HiRAM_SIT_HR, MRI_AGCM3_2_S, EC_Earth3P_HR, MPI_ESM1_2_XR, NICAM16_8S.
"MRI_AGCM3_2_S,EC_Earth3P_HR"
Precipitation unit. Default mm.
mm, inch Start of the interval, yyyy-mm-dd (ISO 8601).
"2024-01-01"
Temperature unit. Default celsius.
celsius, fahrenheit Time output format. Default iso8601.
iso8601, unixtime Wind speed unit. Default kmh.
kmh, ms, mph, kn 响应
Climate projection for the interval.
The response is of type object.